Bug 975513 - Unable to start etherpad application
Unable to start etherpad application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 12:25 EDT by Mike McCune
Modified: 2015-05-14 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:57:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-06-18 12:25:56 EDT
Have an existing application at http://pad-katello.rhcloud.com/ that I was unable to restart after the upgrade a few weeks ago.  It appears from discussion on #openshift that node is unable to find mongo.  

I did a git push repeatedly in attempts to see if I could get the app to come back online but only saw this in the logs:

Tue Jun 18 2013 11:58:17 GMT-0400 (EDT): Stopping application 'pad' ...
Tue Jun 18 2013 11:58:18 GMT-0400 (EDT): Stopped Node application 'pad'
Tue Jun 18 2013 12:02:13 GMT-0400 (EDT): Starting application 'pad' ...
npm info it worked if it ends with ok
npm info using npm@1.1.37
npm info using node@v0.6.20
npm info prestart etherpad-lite@1.0.0
npm info start etherpad-lite@1.0.0

> etherpad-lite@1.0.0 start /var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo
> node server.js

[2013-06-18 12:02:17.696] [WARN] console - Can't get git version for server header
ENOENT, no such file or directory '/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/.git/HEAD'
[2013-06-18 12:02:17.701] [INFO] console - Report bugs at https://github.com/Pita/etherpad-lite/issues

module.js:337
    throw new Error("Cannot find module '" + request + "'");
          ^
Error: Cannot find module 'mongodb'
    at Function._resolveFilename (module.js:337:11)
    at Function._load (module.js:279:25)
    at Module.require (module.js:359:17)
    at require (module.js:375:17)
    at new MongoKeyValue (/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node_modules/ueberDB/mongodb_db.js:68:19)
    at [object Object].init (/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node_modules/ueberDB/mongodb_db.js:34:18)
    at [object Object].init (/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node_modules/ueberDB/CacheAndBufferLayer.js:108:18)
    at [object Object].init (/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node_modules/ueberDB/CloneAndAtomicLayer.js:48:11)
    at Object.init (/var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node/db/DB.js:41:6)
    at /var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/node/server.js:74:8
npm info etherpad-lite@1.0.0 Failed to exec start script
npm ERR! etherpad-lite@1.0.0 start: `node server.js`
npm ERR! `sh "-c" "node server.js"` failed with 1
npm ERR! 
npm ERR! Failed at the etherpad-lite@1.0.0 start script.
npm ERR! This is most likely a problem with the etherpad-lite package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node server.js
npm ERR! You can get their info via:
npm ERR!     npm owner ls etherpad-lite
npm ERR! There is likely additional logging output above.

npm ERR! System Linux 2.6.32-358.10.1.1.el6.x86_64
npm ERR! command "node" "/usr/bin/npm" "start" "-d"
npm ERR! cwd /var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo
npm ERR! node -v v0.6.20
npm ERR! npm -v 1.1.37
npm ERR! code ELIFECYCLE
npm ERR! message etherpad-lite@1.0.0 start: `node server.js`
npm ERR! message `sh "-c" "node server.js"` failed with 1
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /var/lib/openshift/31a670cefa974de0848026df36f63f96/app-root/runtime/repo/npm-debug.log
npm ERR! not ok code undefined
npm ERR! not ok code 1
Comment 1 Mrunal Patel 2013-06-18 15:51:29 EDT
Fixed https://github.com/openshift/etherpad-example
Comment 2 Wei Sun 2013-06-19 00:35:03 EDT
Verified on devenv_3381
Can create etherpad quickstart successfully,and mongodb can be accessed.
Check the node.log,don't find any error messages.

Note You need to log in before you can comment on or make changes to this bug.